import { HTMLAttributes } from 'react';
import { ContainerProps } from '../container/container.types';
import { RipplePropsForComponents } from '../ripple/ripple.types';

export interface CardActionAreaProps
    extends RipplePropsForComponents<HTMLDivElement> {
    ripples?: boolean;
}

export interface CardProps extends ContainerProps {}

export interface CardMediaProps extends HTMLAttributes<CardMediaType> {
    alt: string;
    src: string;
    quality?: number;
    rounded?: boolean;
    preview?: boolean;
    type: 'img' | 'video' | 'picture' | 'iframe' | 'audio';
}

export type CardMediaType = HTMLImageElement &
    HTMLVideoElement &
    HTMLPictureElement &
    HTMLMediaElement &
    HTMLIFrameElement &
    HTMLAudioElement;
